Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class Utils

    java.lang.Object
      |
      +--org.apache.axis.wsdl.symbolTable.Utils
            |
            +--org.apache.axis.wsdl.toJava.Utils

public class Utils
extends Utils

Constructor Summary
`Utils()`

Method Summary
`static java.lang.String` | `addPackageName(java.lang.String className, java.lang.String newPkg)` Add package to name
`static java.lang.String` | `capitalizeFirstChar(java.lang.String name)` Capitalize the first character of the name.
`static boolean` | `fileExists(java.lang.String name, java.lang.String namespace, Namespaces namespaces)` Does the given file already exist in the given namespace?
`static java.util.Vector` | `getEnumerationBaseAndValues(org.w3c.dom.Node node, SymbolTable symbolTable)` If the specified node represents a supported JAX-RPC enumeration, a Vector is returned which contains the base type and the enumeration values.
`static java.lang.String` | `getFullExceptionName(javax.wsdl.Fault fault, Emitter emitter)` Given a fault, return the fully qualified Java class name of the exception to be generated from this fault
`static java.lang.String` | `getJavaLocalName(java.lang.String fullName)` Query Java Local Name
`static java.lang.String` | `getJavaPackageName(java.lang.String fullName)` Query Java Package Name
`static QName` | `getMIMETypeQName(java.lang.String mimeName)` Given a MIME type, return the AXIS-specific type QName.
`static java.lang.String` | `getNewQName(QName qname)` Common code for generating a QName in emitted code.
`static QName` | `getOperationQName(javax.wsdl.BindingOperation bindingOper)` Return the operation QName.
`static java.lang.String` | `getParameterTypeName(Parameter parm)` Get the parameter type name.
`static java.lang.String` | `getResponseString(TypeEntry type, java.lang.String mimeType, java.lang.String var)` Return the Object variable 'var' cast to the appropriate type doing the right thing for the primitive types.
`static QName` | `getXSIType(Parameter param)` Get the QName that could be used in the xsi:type when serializing an object for this parameter/return
`static QName` | `getXSIType(TypeEntry te)` Get the QName that could be used in the xsi:type when serializing an object of the given type.
`static boolean` | `hasMIME(BindingEntry bEntry)` Are there any MIME parameters in the given binding?
`static boolean` | `hasMIME(BindingEntry bEntry, javax.wsdl.BindingOperation operation)` Are there any MIME parameters in the given binding's operation?
`static java.lang.String` | `holder(java.lang.String mimeType, TypeEntry type, Emitter emitter)` Given a type, return the Java mapping of that type's holder.
`static boolean` | `isPrimitiveType(TypeEntry type)`
`static java.lang.String` | `makePackageName(java.lang.String namespace)`
`static java.lang.String` | `wrapPrimitiveType(TypeEntry type, java.lang.String var)` Return a string with "var" wrapped as an Object type if needed
`static java.lang.String` | `xmlNameToJava(java.lang.String name)` Map an XML name to a valid Java identifier
`static java.lang.String` | `xmlNameToJavaClass(java.lang.String name)` Map an XML name to a valid Java identifier w/ capitolized first letter

Methods inherited from class org.apache.axis.wsdl.symbolTable.Utils
`genQNameAttributeString, getAttribute, getAttributesWithLocalName, getDerivedTypes, getNestedTypes, getNillableQName, getNodeNameQName, getNodeQName, getQNameFromPrefixedName, getScopedAttribute, getTypeQName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Utils

    public Utils()

Method Detail

### holder

    public static java.lang.String holder(java.lang.String mimeType,
                                          TypeEntry type,
                                          Emitter emitter)

  Given a type, return the Java mapping of that type's holder.

### addPackageName

    public static java.lang.String addPackageName(java.lang.String className,
                                                  java.lang.String newPkg)

  Add package to name
  Parameters:
    `className` - full name of the class.
    `newPkg` - name of the package to append
  Returns:
    String name with package name added

### getFullExceptionName

    public static java.lang.String getFullExceptionName(javax.wsdl.Fault fault,
                                                        Emitter emitter)

  Given a fault, return the fully qualified Java class name of the exception to be generated from this fault
  Parameters:
    `fault` - The WSDL fault object
    `emitter` - the Emitter being used
  Returns:
    A Java class name for the fault

### getEnumerationBaseAndValues

    public static java.util.Vector getEnumerationBaseAndValues(org.w3c.dom.Node node,
                                                               SymbolTable symbolTable)

  If the specified node represents a supported JAX-RPC enumeration, a Vector is returned which contains the base type and the enumeration values. The first element in the vector is the base type (an TypeEntry). Subsequent elements are values (Strings). If this is not an enumeration, null is returned.

### capitalizeFirstChar

    public static java.lang.String capitalizeFirstChar(java.lang.String name)

  Capitalize the first character of the name.

### xmlNameToJava

    public static java.lang.String xmlNameToJava(java.lang.String name)

  Map an XML name to a valid Java identifier

### xmlNameToJavaClass

    public static java.lang.String xmlNameToJavaClass(java.lang.String name)

  Map an XML name to a valid Java identifier w/ capitolized first letter

### makePackageName

    public static java.lang.String makePackageName(java.lang.String namespace)

### getJavaLocalName

    public static java.lang.String getJavaLocalName(java.lang.String fullName)

  Query Java Local Name

### getJavaPackageName

    public static java.lang.String getJavaPackageName(java.lang.String fullName)

  Query Java Package Name

### fileExists

    public static boolean fileExists(java.lang.String name,
                                     java.lang.String namespace,
                                     Namespaces namespaces)
                              throws java.io.IOException

  Does the given file already exist in the given namespace?

### wrapPrimitiveType

    public static java.lang.String wrapPrimitiveType(TypeEntry type,
                                                     java.lang.String var)

  Return a string with "var" wrapped as an Object type if needed

### getResponseString

    public static java.lang.String getResponseString(TypeEntry type,
                                                     java.lang.String mimeType,
                                                     java.lang.String var)

  Return the Object variable 'var' cast to the appropriate type doing the right thing for the primitive types.

### isPrimitiveType

    public static boolean isPrimitiveType(TypeEntry type)

### getOperationQName

    public static QName getOperationQName(javax.wsdl.BindingOperation bindingOper)

  Return the operation QName. The namespace is determined from the soap:body namespace, if it exists, otherwise it is "".
  Parameters:
    `bindingOper` - the operation
  Returns:
    the operation QName

### getNewQName

    public static java.lang.String getNewQName(QName qname)

  Common code for generating a QName in emitted code. Note that there's no semicolon at the end, so we can use this in a variety of contexts.

### getParameterTypeName

    public static java.lang.String getParameterTypeName(Parameter parm)

  Get the parameter type name. If this is a MIME type, then figure out the appropriate type from the MIME type, otherwise use the name of the type itself.

### getXSIType

    public static QName getXSIType(Parameter param)

  Get the QName that could be used in the xsi:type when serializing an object for this parameter/return
  Parameters:
    `param` - is a parameter
  Returns:
    the QName of the parameter's xsi type

### getXSIType

    public static QName getXSIType(TypeEntry te)

  Get the QName that could be used in the xsi:type when serializing an object of the given type.
  Parameters:
    `te` - is the type entry
  Returns:
    the QName of the type's xsi type

### getMIMETypeQName

    public static QName getMIMETypeQName(java.lang.String mimeName)

  Given a MIME type, return the AXIS-specific type QName.
  Parameters:
    `the` - MIME type name
  Returns:
    the AXIS-specific QName for the MIME type

### hasMIME

    public static boolean hasMIME(BindingEntry bEntry)

  Are there any MIME parameters in the given binding?

### hasMIME

    public static boolean hasMIME(BindingEntry bEntry,
                                  javax.wsdl.BindingOperation operation)

  Are there any MIME parameters in the given binding's operation?

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.